2019-08-24 09:20 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0004212Spring engineGeneralpublic2016-02-18 01:00
Reportersilentwings 
Assigned To 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
Product Version95.0.1+git 
Target VersionFixed in Version 
Summary0004212: ready up doens't work correctly after rejoining
DescriptionAfter rejoining it's not possible to click ready until you've moved (or placed) your startpoint.
Steps To Reproduce1) join a game with 'choose in game' startpos
2) place a startpoint and click ready
3) leave the game and rejoin it
4) try to click ready - it will have no effect
5) move your startpoint slightly and click ready - now it will work as normal
Additional Informationwas also present for in 94
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0015800

silentwings (reporter)

Last edited: 2016-02-16 15:38

View 2 revisions

Afaik this is fixed, please close.

~0015801

Kloot (developer)

Is it really (don't recall an engine change), or do you have a Lua workaround?

~0015820

silentwings (reporter)

Oh... I may have accidentally written a lua workaround whilst adding the traffic light system into adv player list. Will check fully later.

~0015822

silentwings (reporter)

The bug is still present (tested with 100.0.1-1157). You can reproduce it with Spring:1944.

~0015823

Anonymous (viewer)

Fix 51665f019315e0189c104dd5e007ea2f19ddd914 committed to develop branch: fix 0004212, repo: spring changeset id: 6642
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2013-12-15 11:20 silentwings New Issue
2016-02-16 15:36 silentwings Note Added: 0015800
2016-02-16 15:38 silentwings Note Edited: 0015800 View Revisions
2016-02-16 15:40 Kloot Note Added: 0015801
2016-02-17 16:29 silentwings Note Added: 0015820
2016-02-18 00:41 silentwings Note Added: 0015822
2016-02-18 01:00 Changeset attached => spring develop 51665f01
2016-02-18 01:00 Anonymous Note Added: 0015823
2016-02-18 01:00 Anonymous Status new => resolved
2016-02-18 01:00 Anonymous Resolution open => fixed
+Issue History